System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection

Each reference is associated with a validation server control contained on the requested page. These controls add themselves to this collection when the event of the object is handled. They remove themselves when the event of the object is handled. The class inherits both of these methods from the class.

You can access this collection, its methods, and its properties through the property. If the tested condition of any validator in this collection fails, the property is set to false.

Exposes an array of references. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  When added to the collection of a object through the property, the implementation takes part in validation. Its method is called together with the methods of all other validators. All validators then share in determining whether the object as a whole is valid.

  Adds the specified validation server control to the collection.

  The validation server control to add. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the specified validation server control is contained within the page's collection.

  true if the validation server control is in the collection; otherwise, false.

  The validation server control to check for. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies the validator collection to the specified array, beginning at the specified location.

  The collection to which the validation server control is added. The index where the validation server control is copied. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of references in the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator

  Use this method to create an instance that can be iterated through easily to get each item in the collection.

  Returns an instance for the collection.

  The for the collection.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether the collection is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  If the collection is synchronized, it is thread safe.

  Gets a value that indicates whether the collection is synchronized.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.IValidator `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the specified validation server control from the page's collection.

  The validation server control to remove from the collection. 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added: an object of type 'object' To be added

  Gets an object that can be used to synchronize the collection.

  1.0.5000.0
  2.0.0.0